API referenceMemories
Get a memory.
Errors return a
{ message, code }body — see the error reference for thecode→ SDK exception map.
GET
/v1/memories/{id}Returns one currently-valid memory by id, scoped to the API key's project. A soft-deleted, superseded, or unknown id — or one belonging to another project — is a 404 (the same response, so a key cannot probe for the existence of another project's memory).
Authorization
bearerAuth AuthorizationBearer <token>
API key sent as a bearer token: Authorization: Bearer <key>.
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/memories/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "content": "string", "created_by_agent": "string", "created_at": "2019-08-24T14:15:22Z", "version": 1, "trust_tier": "string", "review_status": "string", "scope_keys": [ "string" ], "source_event_id": "d8de7367-3c46-4a1a-a2fb-045d0836e007", "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec"}{ "message": "string", "code": "string"}{ "message": "string", "code": "string"}